#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utilt_1 = require("./utilt");
const fs = require("fs");
const path = require("path");
let argumentList = process.argv;
let currentDir = process.cwd();
if (argumentList.length > 2) {
    if (argumentList[2] == "serve" || argumentList[2] == "build") {
        try {
            fs.writeFileSync("build/index.html", "", "utf8");
            fs.copyFileSync(currentDir + "/public/index.html", "build/index.html");
            (0, utilt_1.executeCmd)("npx webpack " + (argumentList[2] == "serve") ? "serve" : "" + " --config " + __dirname + "/webpack.config.js")
                .then((result) => {
                console.log(result);
            })
                .catch((err) => {
                console.log("err", err);
            });
        }
        catch (err) {
            console.log(err);
        }
    }
    else if (argumentList[2] == "create") {
        let rootPath = path.join(__dirname, "..");
        fs.cpSync(rootPath + "/example", currentDir, { recursive: true });
    }
}
//# sourceMappingURL=main.js.map