#!/usr/bin/env node
import {executeCmd} from "./utilt"
import * as fs from "fs"
import * as path from "path";
let argumentList:any=process.argv;
let currentDir=process.cwd();
if(argumentList.length>2){
    if(argumentList[2]=="serve" || argumentList[2]=="build"){
        try{
            fs.writeFileSync("build/index.html","","utf8");
            fs.copyFileSync(currentDir+"/public/index.html","build/index.html");
            executeCmd("npx webpack "+(argumentList[2]=="serve")?"serve":""+" --config "+__dirname+"/webpack.config.js")
            .then((result)=>{
                console.log(result);
            })
            .catch((err)=>{
                console.log("err",err)
            })
       }
       catch(err){
        console.log(err);
       }
    }
  else if(argumentList[2]=="create"){
    let rootPath=path.join(__dirname,"..");
    fs.cpSync(rootPath+"/example",currentDir,{recursive:true});
  }

}
